#
# spec file for package perl-LWP-Protocol-https
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-LWP-Protocol-https
Version:        6.06
Release:        lp151.2.1
%define cpan_name LWP-Protocol-https
Summary:        Provide https support for LWP::UserAgent
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/LWP-Protocol-https/
Source0:        http://www.cpan.org/authors/id/M/MS/MSCHILLI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
Patch0:         %{cpan_name}-6.04-systemca.diff
Patch1:         CVE-2014-3230.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IO::Socket::SSL) >= 1.54
BuildRequires:  perl(LWP::UserAgent) >= 6.06
#BuildRequires:  perl(Mozilla::CA) >= 20110101
BuildRequires:  perl(Net::HTTPS) >= 6
Requires:       perl(IO::Socket::SSL) >= 1.54
Requires:       perl(LWP::UserAgent) >= 6.06
#Requires:       perl(Mozilla::CA) >= 20110101
Requires:       perl(Net::HTTPS) >= 6
BuildRequires:  ca-certificates
%{perl_requires}

%description
The LWP::Protocol::https module provides support for using https schemed
URLs with LWP. This module is a plug-in to the LWP protocol handling, so
you don't use it directly. Once the module is installed LWP is able to
access sites using HTTP over SSL/TLS.

If hostname verification is requested by LWP::UserAgent's 'ssl_opts', and
neither 'SSL_ca_file' nor 'SSL_ca_path' is set, then 'SSL_ca_file' is
implied to be the one provided by Mozilla::CA. If the Mozilla::CA module
isn't available SSL requests will fail. Either install this module, set up
an alternative 'SSL_ca_file' or disable hostname verification.

This module used to be bundled with the libwww-perl, but it was unbundled
in v6.02 in order to be able to declare its dependencies properly for the
CPAN tool-chain. Applications that need https support can just declare
their dependency on LWP::Protocol::https and will no longer need to know
what underlying modules to install.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Thu Apr 23 2015 coolo@suse.com
- updated to 6.06
  see /usr/share/doc/packages/perl-LWP-Protocol-https/Changes
  2014-04-18 LWP-Protocol-https 6.06
  Mike Schilli (3):
    Merge pull request #12 from drieux/subjectAltName
    Merge pull request #9 from chorny/master
    Updated libwww requirement to 6.06 to fix failing t/proxy.t test cases.
  Gisle Aas (2):
    Getopt::Long isn't actually used
    Merge pull request #7 from noxxi/master
  Alexandr Ciornii (1):
    better diagnostics in case of failures in apache.t
  Karen Etheridge (1):
    Merge pull request #8 from cpansprout/patch-1
  Steffen Ullrich (1):
    correct behavior for https_proxy, this goes together with change to
    libwww-perl cb80c2ddb7, new method _upgrade_sock in LWP::Protocol::https
  cpansprout (1):
    Typo fix: envirionment =~ s/io/o/
  drieux (1):
    support for subjectAltName
  _______________________________________________________________________________
* Thu May 15 2014 vcizek@suse.com
- fix for CVE-2014-3230 (bnc#876862)
  * perl-LWP-Protocol-https: Environment variables HTTPS_CA_DIR or
    HTTPS_CA_FILE disable hostname verification
  * added CVE-2014-3230.patch
* Wed Apr 30 2014 lchiquitto@suse.com
- Remove old tarball (6.03).
* Wed Jul  3 2013 lnussel@suse.de
- Version 6.04
  * Fix IO::Socket::SSL warnings when not verifying hostname.
  * Doc spelling fix.
- Remove usage of Mozilla::CA entirely. IO::Socket::SSL will do the
  right thing instead.
* Tue Feb 21 2012 coolo@suse.com
- updated to 6.03
  * Skip test if offline [RT#74163]
  * Typo fixes
  * Restore perl-5.8.1 compatibility.
* Tue Mar 29 2011 vcizek@novell.com
- initial package 6.02
  * created by cpanspec 1.78.03
  This module used to be bundled with the libwww-perl, but it was unbundled in
  v6.02 in order to be able to declare its dependencies properly for the CPAN
  tool-chain.  Applications that need https support can just declare their
  dependency on LWP::Protocol::https and will no longer need to know what
  underlying modules to install.
